/*
 * Copyright 2012 Ryuji Yamashita
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package facebook4j.internal.json;

import facebook4j.Cover;
import facebook4j.FacebookException;
import facebook4j.internal.org.json.JSONException;
import facebook4j.internal.org.json.JSONObject;

/**
 * @author Ryuji Yamashita - roundrop at gmail.com
 */
/*package*/ final class CoverJSONImpl implements Cover, java.io.Serializable {
    private static final long serialVersionUID = 140769718939464754L;
    
    private final String id;
    private final String source;
    private final long offsetY;

    /*package*/CoverJSONImpl(JSONObject json) throws FacebookException {
        try {
            id = json.getString("id");
            source = json.getString("source");
            offsetY = json.getLong("offset_y");
        } catch (JSONException jsone) {
            throw new FacebookException(jsone);
        }
    }

    public String getId() {
        return id;
    }

    public String getSource() {
        return source;
    }

    public long getOffsetY() {
        return offsetY;
    }

}
